package com.rongwei.bscommon.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bsentity.domain.FsFileDataListDo;
import com.bsentity.dto.FileDto;
import com.bsentity.dto.FileFloorDto;
import com.bsentity.dto.FileIdDto;
import com.bsentity.vo.DealWithFileVO;
import com.rongwei.rwadmincommon.system.domain.SysDictDo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 奥克宁可——文件清单 Mapper 接口
 * </p>
 *
 * @author trj
 * @since 2023-07-17
 */
@Mapper
public interface FsFileDataListDao extends BaseMapper<FsFileDataListDo> {
    List<SysDictDo> getDictList();

    List<FileIdDto> getFileIds(@Param("dealWithFileVO") DealWithFileVO dealWithFileVO);

    List<FileDto> getFilePath(@Param("fileIds") List<String> fileIds);

    List<FileIdDto> getTemporaryFilePath();

    List<FileFloorDto> getDict();

}
